TAIL(1)

BEZEICHNUNG
tail - Den letzten Teil von Dateien ausgeben

ÜBERSICHT
tail [OPTION]... [DATEI]...

BESCHREIBUNG

Die letzten 10 Zeilen jeder DATEI auf der Standardausgabe ausgeben. Wurden mehrere DATEIen angegeben, wird für jede zunächst der Dateinamen ausgeben. Ohne DATEI, oder wenn DATEI »-« ist, von der Standardeingabe lesen.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-c, --bytes=K
    Die letzten K Byte ausgeben; alternativ -c +K benutzen, um Bytes ab dem K-ten jeder Datei auszugeben

-f, --follow[={name|descriptor}]
    Angefügte Daten ausgeben, während die Datei wächst; »-f«, »--follow« und »--follow=descriptor« sind äquivalent

-F  Gleichbedeutend mit »--follow=NAME --retry«

-n, --lines=K
    Die letzten K Zeilen ausgeben, statt der letzen 10; oder -n +K, um Zeilen ab der K-ten auszugeben

--max-unchanged-stats=N
    Mit --follow=NAME die DATEI erneut öffnen, wenn sie nach N Iterationen (Vorgabe: 5) unverändert ist, um zu sehen, ob sie gelöscht oder umbenannt wurde (das ist normalerweise bei rotierten Protokolldateien der Fall). Mit inotify ist diese Option nur selten nützlich.

--pid=PID
    Mit -f, nach Prozess-ID beenden, PID wird beendet

-q, --quiet, --silent
    Nie Kopfzeilen mit Dateinamen ausgeben

--retry
    Weiterhin versuchen, eine Datei zu öffnen, selbst wenn sie beim Start nicht verfügbar ist oder später nicht mehr verfügbar wird; nützlich, wenn mit Namen verfolgt wird, also mit --follow=NAME

-s, --sleep-interval=N
    Mit -f, zwischen Iterationen etwa N Sekunden (Voreinstellung: 1) schlafen legen. Mit inotify und --pid=P wird der Prozess P mindestens einmal alle N Sekunden überprüft.

-v, --verbose
    Immer Kopfzeilen mit Dateinamen ausgeben

--help
    Diese Hilfe anzeigen und beenden

--version
    Versionsinformation anzeigen und beenden

Falls das erste Zeichen von K (der Anzahl der Byte oder Zeilen) ein »+« ist, die Ausgabe mit dem K-ten Byte bzw. der Kten Zeile vom Anfang jeder Datei beginnen, anderenfalls die letzten K Byte bzw. Zeilen ausgeben. K kann folgende multiplikative Endungen tragen: b 512, kB 1000, K 1024, MB 1000×1000, M 1024×1024, GB 1000×1000×1000, G 1024×1024×1024, und so weiter für T, P, E, Z, Y.

Mit --follow (-f) verfolgt Tail den Datei‐Deskriptor. Dies bedeutet, dass auch im Falle einer Umbenennung der Datei Tail deren Ende verfolgen wird. Dieses Standardverhalten ist nicht erwünscht, wenn wirklich der tatsächliche Name der Datei verfolgen werden soll und nicht den Datei‐Deskriptor (z.B. bei Rotation der Protokolldateien). Benutzen Sie in diesem Fall --follow=NAME. Dies veranlasst Tail, die genannte Datei auf eine Art zu verfolgen, die sich daran anpasst, dass umbenannt. entfernt oder erstellt wird.

AUTOR
Geschrieben von Paul Rubin, David MacKenzie, Ian Lance Taylor und Jim Meyering.

FEHLER BERICHTEN
Berichten Sie Fehler in tail (auf Englisch) an bug-coreutils@gnu.org
Homepage der GNU coreutils: <http://www.gnu.org/software/coreutils/>
Allgemeine Hilfe zur Benutzung von GNU-Software: <http://www.gnu.org/gethelp/>
Berichten Sie Fehler in der Übersetzung von tail an <http://translationproject.org/team/de.html>

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <http://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Die vollständige Dokumentation für tail wird als Texinfo-Handbuch gepflegt. Wenn die Programme info und tail auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info coreutils 'tail invocation'

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Schmidt <michael@guug.de>, Michael Piefel <piefel@debian.org>, Chris Leick <c.leick@vollbio.de> und Tobias Quathamer <toddy@debian.org> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.